/* 整體頁面設定 */
body{
    background-color:#f2f2f2;
    font-family: Arial, "微軟正黑體";
    margin:0;
    padding:0;
}

/* header */
header{
    background-color:#4c7caf;
    color:white;
    text-align:center;
    padding:20px;
}

/* 副標題 */
.subtitle{
    text-align:center;
    font-size:18px;
    margin:20px;
}

/* 導覽列 */
nav{
    background-color:#333;
    padding:10px;
}

nav ul{
    list-style-type:none;
    margin:0;
    padding:0;
}

nav li{
    display:inline;
    margin-right:20px;
}

/* class 選擇器 */
.navlink{
    color:white;
    text-decoration:none;
    font-size:18px;
}

/* pseudo-class */
.navlink:hover{
    color:yellow;
}

/* main 區塊 */
main{
    width:80%;
    margin:auto;
    background-color:white;
    padding:20px;
}

/* section 間距 */
section{
    margin-bottom:40px;
}

/* id 選擇器 */
#intro{
    background-color:#e6f7ff;
    padding:15px;
}

#cats{
    background-color:#fff0e6;
    padding:15px;
}

#profile{
    background-color:#f9e6ff;
    padding:15px;
}

/* 興趣 */
.hobby{
    margin-top:20px;
}

/* 標題 */
h2{
    color:#333;
    border-bottom:2px solid gray;
    padding-bottom:5px;
}

/* pseudo-element */
p::first-letter{
    font-size:22px;
    color:blue;
}

/* 圖片 */
img{
    width:480px;
    height: 640px;
    margin-top:10px;
    margin-bottom:10px;
}

/* footer */
footer{
    background-color:#222;
    color:white;
    text-align:center;
    padding:10px;
    margin-top:20px;
}

/*  背景圖 */

body{
    background-image:url("bg.png");
    background-repeat:repeat;
}


/* 四個角落的裝飾圖 */

body::before{
    content:"";
    position:fixed;
    top:0;
    left:0;
    width:100%;
    height:100%;

    background-image:url("corner4.png"),url("corner1.png"),
                     url("corner3.png"),url("corner2.png");

    background-repeat:no-repeat,no-repeat,no-repeat,no-repeat;

    background-position:left top,
                        right top,
                        left bottom,
                        right bottom;

    background-size:120px;

    pointer-events:none;
}


/* LOGO 美化 + 圓角 + 陰影 */

#logo{
    background:linear-gradient(to right,#4CAF50,#66cc66);
    color:white;
    text-align:center;
    padding:25px;

    border-radius:0px 0px 20px 20px;
    box-shadow:0px 5px 10px gray;
}


/* 標題陰影 */
h1{
    text-shadow:2px 2px 5px black;
}


/*  區塊美化 */

.box{
    border-radius:10px;
    box-shadow:0px 0px 10px gray;
    padding:15px;
    margin-bottom:40px;
}


/* pseudo-class */

.navlink:hover{
    color:yellow;
    text-decoration:underline;
}


/* pseudo-element */

p::first-letter{
    font-size:24px;
    color:red;
}


/* 圖片美化 */

img{
    border-radius:10px;
    box-shadow:0px 0px 8px gray;
}